Subject: [Ntp] Publication has been requested for draft-ietf-ntp-yang-data-model-09

From: Karen O'Donoghue via Datatracker <[email-masked]>
Date: Thu, 20 Aug 2020 09:11:26 -0700

Karen O&#39;Donoghue has requested publication of draft-ietf-ntp-yang-data-model-09 as Proposed Standard on behalf of the NTP working group.

Please verify the document's state at https://datatracker.ietf.org/doc/draft-ietf-ntp-yang-data-model/

---

From: Harlan Stenn <[email-masked]>
Date: Sun, 23 Aug 2020 04:19:58 -0700

So you are recommending publication of a document that has no reference
implementation?

On 8/20/2020 9:11 AM, Karen O'Donoghue via Datatracker wrote:
> _______________________________________________
> ntp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ntp
> 

-- 
Harlan Stenn <[email-masked]>
http://networktimefoundation.org - be a member!

---

From: "Salz, Rich" <[email-masked]>
Date: Sun, 23 Aug 2020 15:18:12 +0000

implementation?

It is apparently not uncommon for YANG data models. The IETF, these days, doesn't have reference implementations.  I hope I don't have to give examples by way of proof.

I agree it's not ideal, but I can live with it.  It is, after all, a "data model" not bits on the wire.

---

From: Karen O'Donoghue <[email-masked]>
Date: Mon, 24 Aug 2020 01:09:17 +0000

I am not recommending anything. The consensus of the working group is that this document is sufficiently mature enough to publish. 

Regards,
Karen

On 8/23/20, 7:20 AM, "ntp on behalf of Harlan Stenn" <[email-masked] on behalf of [email-masked]> wrote:

---

From: "Ulrich Windl" <[email-masked]>
Date: Mon, 24 Aug 2020 12:11:30 +0200

>>> "Salz, Rich" <rsalz=[email-masked]> schrieb am 23.08.2020 um 17:18
in Nachricht <[email-masked]>:
> It is apparently not uncommon for YANG data models. The IETF, these days, 
> doesn't have reference implementations.  I hope I don't have to give examples 
> by way of proof.
> 

But still, an implementation may find some flaws in the model when actually being used ;-)

---

From: Harlan Stenn <[email-masked]>
Date: Mon, 24 Aug 2020 05:00:27 -0700

> But still, an implementation may find some flaws in the model when actually being used ;-)

I see the set of basic data that this document provides access to.

- The described elements are likely minimally useful.
- A larger set of elements would be significantly better.
- I see no guidance in the document about how
  implementation-specific elements should be handled.
- I see it as a bug that there is no reference implementation.

---

From: Watson Ladd <[email-masked]>
Date: Mon, 24 Aug 2020 13:19:30 -0400

> - I see it as a bug that there is no reference implementation.
YANG is thankfully extensible.

It's a bit unusual to have these sorts of debates post-last call.
That's what last call is for.

Sincerely,
Watson Ladd

--
"Man is born free, but everywhere he is in chains".
--Rousseau.

---

From: Dhruv Dhody <[email-masked]>
Date: Mon, 24 Aug 2020 23:08:47 +0530

Hi Harlan,

> - A larger set of elements would be significantly better.

It is a common approach in IETF to publish the minimal YANG model as a
base. Further, these can be augmented easily. This is one of the key
features of YANG.

>   implementation-specific elements should be handled.

This comment is applicable to any YANG model published in IETF and it
is well covered by the YANG specification itself. See
https://tools.ietf.org/html/rfc7950#section-4.2.8.

> - I see it as a bug that there is no reference implementation.

The shepherd report notes that vendor implementation is in the
planning stages. As usual, the IESG would take that into
consideration.

Thanks!
Dhruv

---

From: Harlan Stenn <[email-masked]>
Date: Mon, 24 Aug 2020 14:41:37 -0700

> That's what last call is for.

I mentioned this issue quite a while ago.

---

From: Harlan Stenn <[email-masked]>
Date: Mon, 24 Aug 2020 14:59:59 -0700

Hi Dhruv,

> base. Further, these can be augmented easily. This is one of the key

And that's fine.

> https://tools.ietf.org/html/rfc7950#section-4.2.8.

As a likely implementor, I would appreciate a pointer in the document
that directed me to this guidance.

The IANA recommendation in section  9 simply describes the top-level
"ntp" prefix, and then there are a number of normative reference
documents in 12.1 and 2 informative references in 12.2

What would you think about perhaps moving the content of section 7, the
set of minimally-expected elements, to section 7.1, and adding 7.2 as
short direction of what a vendor-specific sub-prefix (there's probably a
better name for that) would look like and where that would be registered?

> planning stages. As usual, the IESG would take that into

Is the "vendor implementation" you describe the same as a reference
implementation?

---

From: Dhruv Dhody <[email-masked]>
Date: Tue, 25 Aug 2020 10:20:34 +0530

Hi Harlan,

> better name for that) would look like and where that would be registered?

I personally feel that is outside of the scope of this document and
it's quite generic to be applicable to any YANG model published by the
IETF.

I checked RFC 8575 from our sister WG as well as a quick glance at all
the YANG models published by the IETF
https://datatracker.ietf.org/doc/search?name=yang&sort=&rfcs=on&by=group&group=
and did not find such a discussion. Even the NTP MIB RFC 5907 does not
have any such text.

If you want we could use the guidance from the YANG Doctors or the AD.

> Is the "vendor implementation" you describe the same as a reference

No. But as far as I am aware there is no such requirement.

Thanks!
Dhruv